package com.care.bigscreen.schedule;





import com.care.bigscreen.service.BigScreenService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;



/** 大屏统计调度
 * @author stw
 * @version 2.7.0.0 创建于 2021/7/16
 **/
@Configuration
@EnableScheduling
@EnableAsync
public class BigScreenSchedule {

    @Autowired
    private BigScreenService bigScreenService;


    /**
     * 1 分钟调用一次
     */
    @Async
    @Scheduled(cron = "0 0/1 * * * ?")
    public void exeStatistics() {
        bigScreenService.exeStatistics();
    }

}
