package com.care.bms.controller;




import com.care.bms.service.MenuService;
import com.care.common.util.Result;
import com.care.common.util.WebPageUtils;

import com.care.common.vo.MenuVO;
import com.care.common.vo.UserLogindConvertVO;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.List;


/**
 * @author
 * @version 1.0.0 创建于 2019-12-04
 **/
@RestController
@Slf4j
public class MenuController {

    @Resource
    private MenuService menuService;


    @ApiOperation(tags = {"菜单管理"}, value = "根据登录用户查询权限菜单全部列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "header", required = true, name = "token", dataType = "String", value = "token验证信息")
    })
    @GetMapping(value = "/menu/queryPrivMenus", produces = "application/json;charset=utf-8")
    public Result<List<MenuVO>> queryPrivMenus(HttpServletRequest request,
                                               @RequestHeader(name = "token", required = true) String token) {
        try {
            UserLogindConvertVO loginUser = WebPageUtils.getCurrentLoginedUser(request);
            List<MenuVO> list = this.menuService.queryPrivMenus(loginUser.getId());
            return Result.success(list);
        } catch (Exception e) {
            e.printStackTrace();
            return Result.error( "获取菜单列表失败");
        }
    }

}
