package com.care.bms.controller;

import com.care.bms.service.BmsEventOrderService;
import com.care.common.cache.RedisKeyConstant;
import com.care.common.cache.RedisUtil;
import com.care.common.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @Author: lilt
 * @Date: 2021/5/26
 * @Desc:
 */
@RestController
@Api(value = "TestController", tags = { "测试" })
@Slf4j
@RequestMapping("/bms")
public class TestController {
    @Resource
    private RedisUtil redisUtil;
    @Autowired
    private BmsEventOrderService bmsEventOrderService;

    @GetMapping("/event/testData")
    @ApiOperation(tags = {"未处理事件"},value = "模拟生成定单数据")
    public Result<Object> listMyHandle(){
            this.bmsEventOrderService.insertTestData();
            return Result.success("生成成功");
    }

    @GetMapping("/bms/switch/autoSms")
    @ApiOperation(value = "自动发送短信")
    public Result<Object> autoSmsSwitch(@RequestParam("flag") String flag){
        if ("on".equals(flag)){
            redisUtil.set(RedisKeyConstant.SWITCH_SMS,"on",60*60*24);
        }else{
            redisUtil.del(RedisKeyConstant.SWITCH_SMS);
        }
        return Result.success("生成成功",redisUtil.get(RedisKeyConstant.SWITCH_SMS));
    }

    @GetMapping("/bms/switch/autoVoice")
    @ApiOperation(value = "自动发送语音通知")
    public Result<Object> autoVoiceSwitch(@RequestParam("flag") String flag){
        if ("on".equals(flag)){
            redisUtil.set(RedisKeyConstant.SWITCH_VOICE,"on",60*60*24);
        }else{
            redisUtil.del(RedisKeyConstant.SWITCH_VOICE);
        }
        return Result.success("生成成功",redisUtil.get(RedisKeyConstant.SWITCH_VOICE));
    }
}
