package com.care.bms.service;


import com.care.common.service.CareMenuService;

import com.care.common.vo.MenuVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: lilt
 * @Date: 2021/7/14
 * @Desc:
 */
@Service
public class MenuService {
    @Resource
    private CareMenuService careMenuService;


    public List<MenuVO> queryPrivMenus(Long userId) {
        List<MenuVO> topMenus = careMenuService.getTopMenus(userId);
        if (topMenus == null) {
            return null;
        }
        for (int i = 0; i < topMenus.size(); i++) {
            MenuVO vo = topMenus.get(i);
            vo.setChildren(careMenuService.findChildMenus(vo.getId()));
        }

        //递归移除非本用户的权限菜单，并将子菜单为null的置为[]
        removeNotUserMenu(userId, topMenus);

        return topMenus;
    }

    /**
     * 去除递归查询出的菜单中不属于指定用户的菜单信息
     *
     * @param userId
     * @param topMenus
     */
    private void removeNotUserMenu(Long userId, List<MenuVO> topMenus) {
        for (int i = 0; i < topMenus.size(); i++) {
            MenuVO vo = topMenus.get(i);
            if (userId != vo.getUserId()) {
                topMenus.remove(i);
                i--;
                continue;
            }

            if (vo.getChildren() != null && vo.getChildren().size() > 0) {
                removeNotUserMenu(userId, vo.getChildren());
            } else {
                vo.setChildren(new ArrayList<>());
            }
        }
    }
}
