package com.care.client.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: lilt
 * @Date: 2021/6/8
 * @Desc:
 */
@Data
@ApiModel(description = "设备监测数据")
public class DeviceMonitorVO {
    private Long id;

    @ApiModelProperty("设备场景：1客厅，2卫浴，3卧室，4其他")
    private String devScene;
    @ApiModelProperty("设备场景：1客厅，2卫浴，3卧室，4其他")
    private String devSceneName;

    @ApiModelProperty("呼吸频率")
    private Integer breathRate;
    @ApiModelProperty("呼吸频率单位")
    private String breathRateUnit="次/分";

    @ApiModelProperty("心跳频率")
    private Integer heartRate;
    @ApiModelProperty("心跳频率单位")
    private String heartRateUnit="次/分";

    @ApiModelProperty("移动状态：0无人, 1活动, 2静止")
    private String moveStatu;
    @ApiModelProperty("移动状态：0无人, 1活动, 2静止")
    private String moveStatuName;

    @ApiModelProperty("在床状态：1在床, 2离床（卧室）")
    private String inbedStatus;
    @ApiModelProperty("在床状态：1在床, 2离床（卧室）")
    private String inbedStatusName;

    @ApiModelProperty("卫生间进出次数")
    private Integer toiletInoutFrequency;
    @ApiModelProperty("卫生间平均停留时长（分钟）")
    private Integer toiletStayDurationAvg;
    @ApiModelProperty("卫生间最大停留时长（分钟）")
    private Integer toiletStayDurationMax;

    @ApiModelProperty("活动距离")
    private Integer activityDistance;
    @ApiModelProperty("活动距离单位")
    private String activityDistanceUnit = "m";

    @ApiModelProperty("活动时长-N小时")
    private Integer activityTimeHour;
    @ApiModelProperty("活动时长-N分钟")
    private Integer activityTimeMinute;

    @ApiModelProperty("睡眠时长-N小时")
    private Integer sleepTimeHour;
    @ApiModelProperty("睡眠时长-N分钟")
    private Integer sleepTimeMinute;
}
