package com.care.client.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 被监护人紧急联系人(CareHouseContact)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:54:55
 */

@Data
@ApiModel(value = "房屋紧急联系人", description = "")
public class HouseContactVO implements Serializable {
    private static final long serialVersionUID = -90072609726445263L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;


    @ApiModelProperty("频安宝用户ID")
    private Long memberId;

    @ApiModelProperty("姓名")
    private String contactName;

    @ApiModelProperty("性别：M：男 W：女")
    private String gender;

    @ApiModelProperty("电话")
    private String contactPhone;


    @ApiModelProperty("关系类别：kinsman亲属  neighbor：邻居")
    private String relationType;

    @ApiModelProperty("关系描述")
    private String relationTypeDesc;

    @ApiModelProperty("联系级别")
    private Integer contactLevel;

    @ApiModelProperty("地址")
    private String addr;

    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("公众号OPENID")
    private String openId;


    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;


}