package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件-处理历史(CareEventOrderHandleHis)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:42:17
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_event_order_handle_his")
@ApiModel(value = "事件-处理历史", description = "")
public class CareEventOrderHandleHis implements Serializable {
    private static final long serialVersionUID = 808847334145669603L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty(" 房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;


    @ApiModelProperty("工单ID")
    @TableField("ORDER_ID")
    private Long orderId;


    @ApiModelProperty("日志类型：0: 老人事件  1：联系老人 2：联系紧急联系人 3联系管家 4联系120  5钥匙申请 6钥匙授权 7管家到达打卡 8管家归还钥匙 9管家离开打卡 10上报处理结果")
    @TableField("LOG_TYPE")
    private Integer logType;

    @ApiModelProperty("工单分类： 21：跌倒 22：久滞 23坠床 31主动呼叫")
    @TableField("ORDER_TYPE")
    private String orderType;

    @ApiModelProperty("工单分类： 21：跌倒 22：久滞 23坠床 31主动呼叫")
    @TableField("log_object_type")
    private String logObjectType;

    @ApiModelProperty("操作对象")
    @TableField("LOG_OBJECT_ID")
    private Long logObjectId;


    @ApiModelProperty("操作对象")
    @TableField("LOG_OBJECT_NAME")
    private String logObjectName;


    @ApiModelProperty("操作结果")
    @TableField("LOG_RESULT")
    private String logResult;

    @ApiModelProperty("语音通知 callid")
    @TableField("VOICE_CALL_ID")
    private String voiceCallId;

    @ApiModelProperty("语音通知状态：1未联系,2未接通,3已联系")
    @TableField("VOICE_CALL_STATUS")
    private String voiceCallStatus;

    @ApiModelProperty("操作结果")
    @TableField("VOICE_FAILURE_REASON")
    private String voiceFailureReason;

    @ApiModelProperty("chanmb管家 contact紧联系人")
    @TableField("OP_USER_ROLE")
    private String opUserRole;


    @ApiModelProperty("处理人ID")
    @TableField("OP_USER_ID")
    private Long opUserId;


    @ApiModelProperty("处理人姓名")
    @TableField("OP_USER_NAME")
    private String opUserName;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


    @ApiModelProperty("关系类别")
    @TableField("RELATION_TYPE_DESC")
    private String relationTypeDesc;


    @ApiModelProperty("呼叫结果ID")
    @TableField("CALL_RESULT_ID")
    private Long callResultId;

    @ApiModelProperty("日志步骤： 20：管家离开")
    @TableField("log_step")
    private String logStep;


}