package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 安全管家表(CareSysUser)实体类
 *
 * @author makejava
 * @since 2021-06-09 23:28:45
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_sys_user")
@ApiModel(value = "安全管家表", description = "")
public class CareSysUser implements Serializable {
    private static final long serialVersionUID = 387127586205394503L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID，角色未坐席时，该字段可能未空")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("姓名")
    @TableField("NAME")
    private String name;


    @ApiModelProperty("电话")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("password")
    @TableField("PASSWORD")
    private String password;


    @ApiModelProperty("性别：M：男 W：女")
    @TableField("GENDER")
    private String gender;


    @ApiModelProperty("状态：1空闲；2：休假；3忙碌")
    @TableField("STATUS")
    private String status;

    @ApiModelProperty("启用状态：启用状态：0启用，1停用")
    @TableField("VALID_STATUS")
    private String validStatus;

    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private Double longitude;


    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private Double latitude;

    @ApiModelProperty("服务有效期开始日期")
    @TableField("SERV_START_DATE")
    private Date servStartDate;

    @ApiModelProperty("服务有效期结束日期")
    @TableField("SERV_END_DATE")
    private Date servEndDate;

    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


    @ApiModelProperty("seat:坐席chanmb:管家 admin管理员")
    @TableField(value="`role`")
    private String role;


    @ApiModelProperty("微信openid")
    @TableField("OPEN_ID")
    private String openId;


    @ApiModelProperty("头像")
    @TableField("PROFILE")
    private String profile;

    @ApiModelProperty("服务入职时间")
    @TableField("HIREDATE")
    private Date hiredate;
}