package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum UserRoleEnum {
    /**
     *
     */
    SYSTEM("system","系统管理员"),
    ORG("org","机构管理员"),
    STATION("station","服务站管理员"),
    CHANMB("chanmb","管家"),
    SEAT("seat","坐席"),
    OLDER("older","老人"),
    CONTACT("contact","紧急联系人");
    private String value;
    private String name;
    UserRoleEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (SYSTEM.getValue().equals(code)){
            return  SYSTEM.name;
        } else if (ORG.getValue().equals(code)){
            return ORG.name;
        } else if (STATION.getValue().equals(code)){
            return STATION.name;
        } else if (CHANMB.getValue().equals(code)){
            return  CHANMB.name;
        }else if (SEAT.getValue().equals(code)){
            return  SEAT.name;
        }else if (OLDER.getValue().equals(code)){
            return  OLDER.name;
        }else if (CONTACT.getValue().equals(code)){
            return CONTACT.name;
        }

        return null;
    }
}
