package com.care.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.care.common.entity.CareDevice;
import com.care.common.vo.device.DeviceVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 被监护人-设备(CareDevice)表数据库访问层
 *
 * @author makejava
 * @since 2021-05-21 00:08:36
 */
public interface CareDeviceMapper extends BaseMapper<CareDevice> {
    List<DeviceVO> queryListByMemberId(@Param("memberId") Long memberId );


    IPage<DeviceVO> queryList(IPage<DeviceVO> page, @Param("stationId") Long stationId,
                              @Param("devCode") String devCode,
                              @Param("activeStatus") String activeStatus,
                              @Param("chambName") String chambName,
                              @Param("status") String status,
                              @Param("houseAddr") String houseAddr,
                              @Param("chambId") Long chambId,
                              @Param("memberId") Long memberId,
							  @Param("userOrgId") Long userOrgId,
                              @Param("userStationId") Long userStationId
                              );

    IPage<DeviceVO> listDeviceNonStation(IPage<DeviceVO> page,
                              @Param("userOrgId") Long userOrgId
    );
    void updateDevChamb(@Param("id") Long id);

    void synDev(CareDevice careDevice);
}