package com.care.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.care.common.entity.CareEventOrderChamb;
import com.care.common.vo.PageReqVO;
import com.care.common.vo.order.ChambEventOrderCountVO;
import com.care.common.vo.order.ChambEventOrderVO;

/**
 * 管家工单(CareEventOrderChamb)表服务接口
 *
 * @author makejava
 * @since 2021-06-02 23:31:34
 */
public interface CareEventOrderChambService extends IService<CareEventOrderChamb> {
    /**
     * 待处理的工单
     * @param page
     * @param chambId
     * @return
     */
    IPage<ChambEventOrderVO> queryTodoEventByChambId(PageReqVO pageReqVo, Long chambId);

    /**
     * 进行中的工单
     * @param page
     * @param chambId
     * @return
     */
    IPage<ChambEventOrderVO>  queryDoingEventByChambId(PageReqVO pageReqVo,Long chambId);

    /**
     * 完成的工单
     * @param page
     * @param chambId
     * @return
     */
    IPage<ChambEventOrderVO>  queryDoneEventByChambId(PageReqVO pageReqVo,Long chambId);
    /**
     * 管家工单统计
     * @param chambId
     * @return
     */

    ChambEventOrderCountVO getOrderCountByChambId(Long chambId);

    CareEventOrderChamb getChambOrderByOrderId(Long orderId);

    ChambEventOrderVO getChambOrderByOrderIdAndChambId(Long orderId, Long chambId);
}