package com.care.common.service.impl;

import cn.hutool.core.util.StrUtil;
import com.care.common.cache.RedisKeyConstant;
import com.care.common.cache.RedisUtil;
import com.care.common.enums.SmsTemplateTypeEnum;
import com.care.common.service.VoiceSendService;
import com.care.common.util.VoiceUtil;
import com.care.common.vo.MySendStatus;
import com.tencentcloudapi.vms.v20200902.models.SendStatus;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Author: lilt
 * @Date: 2021/6/5
 * @Desc:
 */
@Service
public class VoiceSendServiceImpl implements VoiceSendService {
    @Resource
    private RedisUtil redisUtil;

    @Value("${voice.notice.endpoint:#{null}}")
    private String noticeEndpoint;
    @Value("${voice.notice.region:#{null}}")
    private String noticeRegion;
    @Value("${voice.notice.secretId:#{null}}")
    private String noticeSecretId;
    @Value("${voice.notice.secretKey:#{null}}")
    private String noticeecretKey;
    @Value("${voice.notice.voiceSdkAppId:#{null}}")
    private String noticeVoiceSdkAppId;

    @Value("${voice.notice.templateidHappen:#{null}}")
    private String templateidHappen;
    @Value("${voice.notice.templateidCancel:#{null}}")
    private String templateidCancel;

    @Override
    public MySendStatus sendVoiceHappen(String sessionContext,String phone, String[] params) {
        String[] _p = params;
        MySendStatus sendStatus = null;
        String _noticeTemplateId =  templateidHappen;
        if (StrUtil.isNotEmpty(_noticeTemplateId)){
            sendStatus =  VoiceUtil.sendTtsVoice(sessionContext,noticeEndpoint,
                    noticeRegion,
                    noticeSecretId,
                    noticeecretKey,
                    noticeVoiceSdkAppId,
                    _noticeTemplateId,
                    phone,_p);
                //存入redis
                System.out.println("sendVoiceHappen:callId==" + sendStatus.getCallId());
                redisUtil.hset(RedisKeyConstant.VOICE_CALLBACK_INFO, sendStatus.getCallId(), sendStatus.getSessionContext(), RedisKeyConstant.VOICE_CALLBACK_INFO_TIME);
        }
        return  sendStatus;
    }
    @Override
    public MySendStatus sendVoiceCancel(String sessionContext, String phone, String[] params) {
        String[] _p = params;
        MySendStatus mySendStatus = null;
        String _noticeTemplateId =  templateidCancel;
        if (StrUtil.isNotEmpty(_noticeTemplateId)){
             mySendStatus =  VoiceUtil.sendTtsVoice(sessionContext,noticeEndpoint,
                    noticeRegion,
                    noticeSecretId,
                    noticeecretKey,
                    noticeVoiceSdkAppId,
                    _noticeTemplateId,
                    phone,_p);
        }
        return  mySendStatus;
    }
}
