package com.care.common.service.impl;

import cn.hutool.core.util.StrUtil;
import com.care.client.dto.TemplateDataDTO;
import com.care.common.service.VoiceSendService;
import com.care.common.service.WxNoticSendService;
import com.care.common.service.WxTemplateService;
import com.care.common.util.VoiceUtil;
import com.tencentcloudapi.vms.v20200902.models.SendStatus;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @Author: lilt
 * @Date: 2021/6/5
 * @Desc:
 */
@Service
@Slf4j
public class WxNoticSendServiceImpl implements WxNoticSendService {

    @Value("${wx.notic.templateId:#{null}}")
    private String templateId;

    @Value("${wx.notic.toAppId:#{null}}")
    private String toAppId;

    @Value("${wx.notic.toUrl:#{null}}")
    private String toUrl;

    @Resource
    private WxTemplateService wxTemplateService;

    @Override
    public boolean sendByWxXCXOpenId(String openId,  Map<String, TemplateDataDTO> data) {
        boolean flag = wxTemplateService.sendTemplateMsg(openId, templateId, toAppId, toUrl, data);
        log.info("发送WX消息模板（使用小程序的OPENID）: openId: " + openId + ", templateId: " + templateId + " 状态: " + flag);
        return flag;
    }
    @Override
    public boolean sendByWxGZHOpenId(String openId,  Map<String, TemplateDataDTO> data){
        boolean flag = wxTemplateService.sendTemplateMsgOriginal(openId, templateId, null, null, data);
        log.info("发送WX消息模板（使用公众号的OPENID）: openId: " + openId + ", templateId: " + templateId + " 状态: " + flag);
        return flag;
    }
}
