package com.care.common.vo.order;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件-坐席处理历史(CareEventOrderHandleHis)实体类
 *
 * @author makejava
 * @since 2021-05-29 16:02:24
 */

@Data
@ApiModel(value = "事件-处理历史", description = "")
public class OrderHandleHisVO implements Serializable {
    private static final long serialVersionUID = 231064386588299579L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("日志类型：0: 老人事件  1：联系老人 2：联系紧急联系人 3联系管家 4联系120  5钥匙申请 6钥匙授权 7管家到达打卡 8管家归还钥匙 9管家离开打卡 10上报处理结果")
    private Integer logType;

    @ApiModelProperty("工单分类： 21：跌倒 22：久滞 23坠床 31主动呼叫")
    private String orderType;
    private String orderTypeName;

    @ApiModelProperty("操作对象")
    private Long logObjectId;


    @ApiModelProperty("操作对象")
    private String logObjectName;


    @ApiModelProperty("操作结果")
    private String logResult;


    @ApiModelProperty("语音通知状态：1未联系,2未接通,3已联系")
    private String voiceCallStatus;

    @ApiModelProperty("操作结果")
    private String voiceFailureReason;

    @ApiModelProperty("chanmb管家 contact紧联系人")
    private String opUserRole;


    @ApiModelProperty("处理人ID")
    private Long opUserId;


    @ApiModelProperty("处理人姓名")
    private String opUserName;


    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;


    @ApiModelProperty("关系类别")
    private String relationTypeDesc;


    @ApiModelProperty("呼叫结果ID")
    private Long callResultId;

    @ApiModelProperty("是否有录音URL")
    private Boolean hasAudioUrl;

    @ApiModelProperty("日志步骤： 20：管家离开")
    private String logStep;
}