package com.care.common.vo.org;


import com.care.common.vo.sysuser.SysUserVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.Date;

/**
 * 机构(CareOrganization)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:44:00
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "机构", description = "")
public class OrganizationVO implements Serializable {
    private static final long serialVersionUID = 783765292295776882L;

    private Long id;


    @ApiModelProperty("机构名称")
    private String name;


    @ApiModelProperty("机构简称")
    private String shortName;


    @ApiModelProperty("机构编码")
    private String orgCode;


    @ApiModelProperty("地址")
    private String addr;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("系统名称")
    private String systemName;

    @ApiModelProperty("启用状态：启用状态：0启用，1停用")
    private String validStatus;

    @ApiModelProperty("启用状态名：启用状态：0启用，1停用")
    private String validStatusName;

    @ApiModelProperty("服务有效期开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date servStartDate;

    @ApiModelProperty("服务有效期结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date servEndDate;

    @ApiModelProperty("log")
    private String logo;

    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;

    @ApiModelProperty("企业KEY")
    private  String companyKey;

    @ApiModelProperty("企业ID")
    private String companyId;

    @ApiModelProperty("服务站数量")
    private Integer stationCount;

    @ApiModelProperty("服务设备数量")
    private Integer devCount;

    @ApiModelProperty("服务有效期")
    private String servValidPeriod ;

    @ApiModelProperty("机构账号")
    private SysUserVO sysUserVO;


}