package com.care.common.vo.station;

import com.care.common.vo.device.DeviceVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 服务站(CareStation)实体类
 *
 * @author makejava
 * @since 2021-06-02 21:44:11
 */

@Data
@ApiModel(value = "服务站", description = "")
public class StationVO implements Serializable {
    private static final long serialVersionUID = 278407010051454823L;

    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;

    @ApiModelProperty("机构名称")
    private String orgName;

    @ApiModelProperty("服务站名称")
    private String name;


    @ApiModelProperty("服务站简称")
    private String shortName;

    @ApiModelProperty("服务站编码")
    private String code;

    @ApiModelProperty("负责人")
    private String director;


    @ApiModelProperty("联系电话")
    private String phone;


    @ApiModelProperty("地址")
    private String addr;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("简介")
    private String introduction;

    @ApiModelProperty("服务设备数量")
    private Integer devCount;

    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;

    @ApiModelProperty("关联的设备列表")
    private List<DeviceVO> deviceVOList;
}