package com.care.common.vo.sysuser;



import com.care.common.vo.device.DeviceVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 安全管家表(CareSysUser)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:37
 */

@Data
public class SysUserVO implements Serializable {
    private static final long serialVersionUID = -32919685706503729L;

    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;

    @ApiModelProperty("机构名称")
    private String orgName;

    @ApiModelProperty("服务站ID，角色为坐席时，该字段可能为空")
    private Long stationId;

    @ApiModelProperty("服务站名称")
    private String stationName;

    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("电话")
    private String phone;


    @ApiModelProperty("password")
    private String password;


    @ApiModelProperty("姓名：M：男 W：女")
    private String gender;


    @ApiModelProperty("状态：1正常；2：休假")
    private String status;

    @ApiModelProperty("启用状态：启用状态：0启用，1停用")
    private String validStatus;

    @ApiModelProperty("启用状态名：启用状态：0启用，1停用")
    private String validStatusName;

    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


    @ApiModelProperty("system:系统管理员,org:机构管理员,station: 服务站管理员,chanmb:管家,seat:坐席")
    private String role;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty("服务入职时间")
    private Date hiredate;

    @ApiModelProperty("服务有效期开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date servStartDate;

    @ApiModelProperty("服务有效期结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date servEndDate;

    @ApiModelProperty("服务设备数量")
    private Integer devCount;

    @ApiModelProperty("服务次数")
    private Integer serveCount;

    @ApiModelProperty("拥有的设备列表")
    private List<DeviceVO> hasDeviceVOList;

    @ApiModelProperty("空闲设备列表")
    private List<DeviceVO> freeDeviceVOList;

    @ApiModelProperty("所属服务站的设备列表")
    private List<DeviceVO> stationDeviceVOList;
}